#login {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 40px;
}

#login .left_block {
    margin: 20px;
    background: url('../img/login.png') no-repeat center center / cover;
    width: 100%;
    height: calc(100vh - 40px);
    border-radius: 40px;
}

#login .right_block .form {
    text-align: center;
    position: relative;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 340px;
}

#login .right_block h1 {
    font-weight: 900;
    color: var(--text);
    margin-bottom: 10px;
    font-size: 32px;
}

#login .right_block p,
#login .right_block form button,
#login .right_block form a {
    font-weight: 300;
    color: var(--text);
    margin-bottom: 20px;
    font-size: 16px;
}

#login .right_block form input {
    max-width: 100vw;
    display: block;
    border-radius: 10px;
    border: 1px solid var(--bg-input);
    padding: 20px;
    margin: 0 auto;
    margin-bottom: 20px;
    width: 100%;
    box-shadow: var(--shadow1);
}

#login .right_block form input:focus {
    border: 1px solid var(--color1);
}

#login .right_block form .pass {
    position: relative;
}

#login .right_block form .pass img {
    position: absolute;
    right: 0px;
    top: 50%;
    transform: translate(0, -50%);
    width: 20px;
    height: 20px;
    max-width: none;
    cursor: pointer;
    padding: 20px;
}

#login .right_block form button {
    border-radius: 10px;
    padding: 20px;
    width: 100%;
    background-color: var(--color1);
    box-shadow: var(--shadow1);
    max-width: 100vw;
}

#login .right_block form a:hover {
    font-weight: 400;
}

#login .right_block form p.error {
    color: brown;
    margin-top: 10px;
}